본문 바로가기
서버구축 (WEB,DB)

BIND DNS 신규 취약점 보안 업데이트

by ·´″°³о♡ 날으는물고기 2015. 9. 7.

BIND DNS 신규 취약점 보안 업데이트

728x90

□ 개요

o DNS 서비스에 주로 이용되는 BIND DNS에 특수하게 조작된 특정 패킷을 보내면 장애가 발생하는 취약점이 발견됨[1][2]

  

□ 설명

o 특수하게 조작된 DNSSEC key를 처리하는 과정에서 장애가 발생하는 취약점(CVE-2015-5722)[1]

o 특수하게 조작된 응답 패킷을 처리하는 과정에서 장애가 발생하는 취약점(CVE-2015-5986)[2]

 

□ 영향 받는 소프트웨어

o BIND 9.0.0 이상 ~ 9.8.8 이하

o BIND 9.9.0 이상 ~ 9.9.7-P2 이하

o BIND 9.10.0 이상 ~ 9.10.2-P3 이하

 

□ 해결 방안

o BIND 9.0.0 이상 ~ 9.9.7-P2 이하 버전

- BIND 9 버전 9.9.7-P3로 업그레이드

o BIND 9.10.0 이상 ~ 9.10.2-P3 이하

- BIND 9 버전 9.10.2-P4로 업그레이드

 

□ 기타 문의사항

o 한국인터넷진흥원 인터넷침해대응센터: 국번없이 118

 

[참고사이트]

[1] https://kb.isc.org/article/AA-01287/0

[2] https://kb.isc.org/article/AA-01291/74/CVE-2015-5986%3A-An-incorrect-boundary-check-can-trigger-a-REQUIRE-assertion-failure-in-openpgpkey_61.c.html

728x90

댓글0